Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities
Class CommunityInfo

    java.lang.Object
      com.bea.netuix.application.communities.CommunityInfo

All Implemented Interfaces
  Serializable

    public class CommunityInfo

extends Object
implements Serializable

A structure to pass information to the `CommunityDefinition` constructor.

The overview of community functionality contains a description of the community framework.

See Also
  Serialized Form

Field Summary
`boolean` | `_public` Flag to denote if a community is public.
`boolean` | `accessTrackingEnabled` Flag to denote if member access tracking is enabled for this community.
`boolean` | `active` Flag to denote if this community is active.
`String` | `communityCallbackClass` Name of the class to send a callback to on community events
`CommunityDesktop` | `communityDesktop` The desktop to be associated with the community.
`DesktopPath` | `desktopPath` Desktop path for the new desktop to be created.
`String` | `errorUri` Uri to the page to be displayed when the community cannot be viewed by a user, such as when the community is dactivated or the membership is deactivated.
`Date` | `expirationDate` The expiration date for this community.
`boolean` | `global` Flag to denote whether a community template is global.
`LocalizationIntersectionId` | `intersectionId` `LocalizationIntersectionId` for community localized title and description.
`LocalizationResource` | `localizationResource` The localized title and description for this community.
`CommunityDefinitionId` | `parentId` An optional link to a parent community.
`boolean` | `personalPagesEnabled` Flag to denote if this community allows members to add personal pages to the community.
`PortalPath` | `portalPath` Portal path for the new desktop to be created.
`Map<String,CommunityProperty>` | `properties` Map of `CommuityProperty` objects associated with this community keyed by property name.
`boolean` | `publicRegistrationEnabled` Flag to denote if this community allows members to self-register without having been invited.
`String` | `registrationPageUri` Uri to the registration page.
`boolean` | `template` Flag to denote if a community is a template.
`TimeZone` | `timeZone` `TimeZone` applicable to this community.

Constructor Summary
`CommunityInfo()` Ctor

Method Summary
`String` | `toString()` toString

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### localizationResource

    public LocalizationResource localizationResource

  The localized title and description for this community. If null, the intersectionId may be used to obtain a LocalizationResource.

### intersectionId

    public LocalizationIntersectionId intersectionId

  `LocalizationIntersectionId` for community localized title and description.

### communityDesktop

    public CommunityDesktop communityDesktop

  The desktop to be associated with the community.

### portalPath

    public PortalPath portalPath

  Portal path for the new desktop to be created. Webapp name from `DesktopDefinitionId` will be used. Will be ignored if `CommunityDesktop` specifies a new desktop definition.

### desktopPath

    public DesktopPath desktopPath

  Desktop path for the new desktop to be created. Webapp name from `DesktopDefinitionId` will be used. Will be ignored if `CommunityDesktop` specifies a new desktop definition.

### expirationDate

    public Date expirationDate

  The expiration date for this community. A community that automatically goes into the deactivated state after the expiration date. If `null`, the community never expires.

### timeZone

    public TimeZone timeZone

  `TimeZone` applicable to this community. May be used to adjust display of the expiration date.

### active

    public boolean active

  Flag to denote if this community is active. An active community supports member interaction and may be rendered. An incative community only supports interaction with a very restricted set of members and may not be rendered.

### _public

    public boolean _public

  Flag to denote if a community is public. A public comunity may have it's title and description be displayed in search results. A user has to be a member of a community to interact with it.

### template

    public boolean template

  Flag to denote if a community is a template. A template is a community that itself does not get rendered or have any members. It may only be used as a starting point to create a new community. Communities marked as templates have to be public and inactive.

  See Also
    `ICommunityManager.createCommunity(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.definition.CommunityDefinition)`, `ICommunityManager.createCommunityTemplate(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.definition.CommunityDefinition)`

### global

    public boolean global

  Flag to denote whether a community template is global. Non-global communities require a user to have access to the enclosing portal. Global communities do away with this restriction.

### personalPagesEnabled

    public boolean personalPagesEnabled

  Flag to denote if this community allows members to add personal pages to the community.

### publicRegistrationEnabled

    public boolean publicRegistrationEnabled

  Flag to denote if this community allows members to self-register without having been invited.

### registrationPageUri

    public String registrationPageUri

  Uri to the registration page.

### errorUri

    public String errorUri

  Uri to the page to be displayed when the community cannot be viewed by a user, such as when the community is dactivated or the membership is deactivated.

### accessTrackingEnabled

    public boolean accessTrackingEnabled

  Flag to denote if member access tracking is enabled for this community.

### communityCallbackClass

    public String communityCallbackClass

  Name of the class to send a callback to on community events

### parentId

    public CommunityDefinitionId parentId

  An optional link to a parent community. NOTE: The framework does not attempt to verify circular references.

### properties

    public Map<String,CommunityProperty> properties

  Map of `CommuityProperty` objects associated with this community keyed by property name. Property values may be multi-valued.

Constructor Detail

### CommunityInfo

    public CommunityInfo()

  Ctor

Method Detail

### toString

    public String toString()

  toString

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.